Skip to main content
GET
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
/
transactions
List transactions
curl --request GET \
  --url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01K6TX03CJ1T88HRYE78AN7VWX",
      "date": "2025-09-15",
      "posted_date": "2025-09-16",
      "effective_date": "2023-12-25",
      "type": "debit",
      "amount": -150,
      "running_balance": 15080.5,
      "description": "Electric Company Payment",
      "merchant_name": "Springfield Electric Co.",
      "reference_number": "REF-2025-09-15-001",
      "check_number": null,
      "category": "bills",
      "is_recurring": true,
      "is_flagged": false,
      "flag_reason": "suspicious",
      "notes": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 25,
    "total_count": 142,
    "total_pages": 6,
    "next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

case_id
string
required

Unique case identifier (ULID format).

account_id
string
required

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
per_page
integer
default:25

Number of items per page.

Required range: 1 <= x <= 100
date_from
string<date>

Start date (inclusive).

date_to
string<date>

End date (inclusive).

type
enum<string>
Available options:
credit,
debit,
transfer_in,
transfer_out,
interest,
fee,
dividend,
check,
ach,
wire,
atm,
pos,
adjustment,
estate_distribution
category
enum<string>
Available options:
income,
bills,
insurance_premium,
medical,
taxes,
estate_expense,
legal_fee,
funeral_expense,
beneficiary_distribution,
other
min_amount
number<double>
max_amount
number<double>
is_flagged
boolean
is_recurring
boolean
sort_by
enum<string>
default:date
Available options:
date,
amount,
created_at
sort_order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

List of transactions.

data
object[]
meta
object